Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -10054,20 +19177,39 @@
 the DSC-F1.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      8    JpgFromRawStart                      N
-     12    JpgFromRawLength                     N
-     22    SonyImageWidth                       N
-     24    SonyImageHeight                      N
-     27    Orientation                          N
-     29    ImageQuality                         N
-     52    Comment                              N
-     76    DateTimeOriginal                     N
-     84    ModifyDate                           N
-    102    ExposureTime                         N
-    106    FNumber                              N
-    108    ExposureCompensation                 N
-    112    FocalLength                          N
-    118    Flash                                N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    JpgFromRawStart                      no
+     12    JpgFromRawLength                     no
+     22    SonyImageWidth                       no
+     24    SonyImageHeight                      no
+     27    Orientation                          no
+     29    ImageQuality                         no
+     52    Comment                              no
+     76    DateTimeOriginal                     no
+     84    ModifyDate                           no
+    102    ExposureTime                         no
+    106    FNumber                              no
+    108    ExposureCompensation                 no
+    112    FocalLength                          no
+    118    Flash                                no
+
+=head3 Sony rtmd Tags
+
+These tags are extracted from the 'rtmd' timed metadata of MP4 videos from
+some models when the ExtractEmbedded option is used.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x8500   GPSVersionID                         no
+  0x8501   GPSLatitudeRef                       no
+  0x8502   GPSLatitude                          no
+  0x8503   GPSLongitudeRef                      no
+  0x8504   GPSLongitude                         no
+  0x8507   GPSTimeStamp                         no
+  0x8509   GPSStatus                            no
+  0x850a   GPSMeasureMode                       no
+  0x8512   GPSMapDatum                          no
+  0x851d   GPSDateStamp                         no
+  0xe304   DateTime                             no
 
 =head2 SonyIDC Tags
@@ -10106,4 +19248,5 @@
   0x8031   PeripheralIllumCentralValue          int32s
   0x8032   PeripheralIllumPeriphValue           int32s
+  0x8040   DistortionCompensation               int32s
   0x9000   ToneCurveBrightnessX                 int16u[n]
   0x9001   ToneCurveRedX                        int16u[n]
@@ -10114,4 +19257,16 @@
   0x9006   ToneCurveGreenY                      int16u[n]
   0x9007   ToneCurveBlueY                       int16u[n]
+  0x900d   ChromaticAberrationCorrection        int32s
+  0x900e   InclinationCorrection                int32u
+  0x900f   InclinationAngle                     int32s
+  0x9010   Cropping                             int32u
+  0x9011   CropArea                             int32u[4]
+  0x9012   PreviewImageSize                     int32u[2]
+  0x9013   PxShiftPeriphEdgeNR                  int32s
+  0x9014   PxShiftPeriphEdgeNRValue             int32s
+  0x9017   WhitesAdj                            int32s
+  0x9018   BlacksAdj                            int32s
+  0x9019   HighlightsAdj                        int32s
+  0x901a   ShadowsAdj                           int32s
   0xd000   CurrentVersion                       int32u
   0xd001   VersionIFD                           SonyIDC
@@ -10156,10 +19311,15 @@
   'Leaf'   AdobeLeaf                            Leaf SubIFD
   'MRW '   AdobeMRW                             MinoltaRaw
-  'MakN'   MakerNoteCanon                       Canon
+  'MakN'   MakerNoteApple                       Apple
+           MakerNoteNikon                       Nikon
+           MakerNoteCanon                       Canon
            MakerNoteCasio                       Casio
            MakerNoteCasio2                      Casio Type2
+           MakerNoteDJI                         DJI
+           MakerNoteFLIR                        FLIR
            MakerNoteFujiFilm                    FujiFilm
            MakerNoteGE                          GE
            MakerNoteGE2                         FujiFilm
+           MakerNoteHasselblad                  Unknown
            MakerNoteHP                          HP
            MakerNoteHP2                         HP Type2
@@ -10180,6 +19340,9 @@
            MakerNoteKodak8a                     Kodak Type8
            MakerNoteKodak8b                     Kodak Type8
+           MakerNoteKodak8c                     Kodak Type8
            MakerNoteKodak9                      Kodak Type9
            MakerNoteKodak10                     Kodak Type10
+           MakerNoteKodak11                     Kodak Type11
+           MakerNoteKodak12                     Kodak Type11
            MakerNoteKodakUnknown                Kodak Unknown
            MakerNoteKyocera                     Unknown
@@ -10187,7 +19350,8 @@
            MakerNoteMinolta2                    Olympus
            MakerNoteMinolta3                    undef
-           MakerNoteNikon                       Nikon
+           MakerNoteMotorola                    Motorola
            MakerNoteNikon2                      Nikon Type2
            MakerNoteNikon3                      Nikon
+           MakerNoteNintendo                    Nintendo
            MakerNoteOlympus                     Olympus
            MakerNoteOlympus2                    Olympus
@@ -10198,6 +19362,11 @@
            MakerNoteLeica5                      Panasonic Leica5
            MakerNoteLeica6                      Panasonic Leica6
+           MakerNoteLeica7                      Panasonic Leica6
+           MakerNoteLeica8                      Panasonic Leica5
+           MakerNoteLeica9                      Panasonic Leica9
+           MakerNoteLeica10                     Panasonic
            MakerNotePanasonic                   Panasonic
            MakerNotePanasonic2                  Panasonic Type2
+           MakerNotePanasonic3                  Panasonic
            MakerNotePentax                      Pentax
            MakerNotePentax2                     Pentax Type2
@@ -10205,10 +19374,15 @@
            MakerNotePentax4                     Pentax Type4
            MakerNotePentax5                     Pentax
-           MakerNotePhaseOne                    undef
+           MakerNotePentax6                     Pentax S1
+           MakerNotePhaseOne                    PhaseOne
            MakerNoteReconyx                     Reconyx
+           MakerNoteReconyx2                    Reconyx Type2
+           MakerNoteReconyx3                    Reconyx Type3
+           MakerNoteRicohPentax                 Pentax
            MakerNoteRicoh                       Ricoh
+           MakerNoteRicoh2                      Ricoh Type2
            MakerNoteRicohText                   Ricoh Text
            MakerNoteSamsung1a                   undef
-           MakerNoteSamsung1b                   Samsung Type1
+           MakerNoteSamsung1b                   Samsung
            MakerNoteSamsung2                    Samsung Type2
            MakerNoteSanyo                       Sanyo
@@ -10219,8 +19393,10 @@
            MakerNoteSony2                       Olympus
            MakerNoteSony3                       Olympus
-           MakerNoteSony4                       Sony
+           MakerNoteSony4                       Sony PIC
+           MakerNoteSony5                       Sony
            MakerNoteSonyEricsson                Sony Ericsson
            MakerNoteSonySRF                     Sony SRF
            MakerNoteUnknownText                 undef
+           MakerNoteUnknownBinary               undef
            MakerNoteUnknown                     Unknown
   'Pano'   AdobePano                            PanasonicRaw
@@ -10235,12 +19411,12 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0000   OriginalRawImage                     N
-  0x0001   OriginalRawResource                  N
-  0x0002   OriginalRawFileType                  N
-  0x0003   OriginalRawCreator                   N
-  0x0004   OriginalTHMImage                     N
-  0x0005   OriginalTHMResource                  N
-  0x0006   OriginalTHMFileType                  N
-  0x0007   OriginalTHMCreator                   N
+  0x0000   OriginalRawImage                     no
+  0x0001   OriginalRawResource                  no
+  0x0002   OriginalRawFileType                  no
+  0x0003   OriginalRawCreator                   no
+  0x0004   OriginalTHMImage                     no
+  0x0005   OriginalTHMResource                  no
+  0x0006   OriginalTHMFileType                  no
+  0x0007   OriginalTHMCreator                   no
 
 =head2 CanonRaw Tags
@@ -10250,5 +19426,7 @@
 length of the information is preserved (and the new information is truncated
 or padded as required) unless B<Writable> is C<resize>. Currently, only
-JpgFromRaw and ThumbnailImage are allowed to change size.
+JpgFromRaw and ThumbnailImage are allowed to change size.  See
+L<https://exiftool.org/canon_raw.html> for a description of the Canon CRW
+format.
 
 CRW images also support the addition of a CanonVRD trailer, which in turn
@@ -10260,5 +19438,5 @@
   0x0000   NullRecord                           undef
   0x0001   FreeBytes                            undef
-  0x0032   CanonColorInfo1                      N
+  0x0032   CanonColorInfo1                      no
   0x0805   CanonFileDescription                 string[32]
            UserComment                          string[256]
@@ -10279,5 +19457,5 @@
   0x1029   CanonFocalLength                     Canon FocalLength
   0x102a   CanonShotInfo                        Canon ShotInfo
-  0x102c   CanonColorInfo2                      N
+  0x102c   CanonColorInfo2                      no
   0x102d   CanonCameraSettings                  Canon CameraSettings
   0x1030   WhiteSample                          CanonRaw WhiteSample
@@ -10298,5 +19476,5 @@
   0x1807   TargetDistanceSetting                float
   0x180b   SerialNumber                         int32u
-           UnknownNumber?                       Y
+           UnknownNumber?                       yes
   0x180e   TimeStamp                            CanonRaw TimeStamp
   0x1810   ImageInfo                            CanonRaw ImageInfo
@@ -10308,7 +19486,7 @@
   0x1835   DecoderTable                         CanonRaw DecoderTable
   0x183b   SerialNumberFormat                   int32u
-  0x2005   RawData                              N
-  0x2007   JpgFromRaw                           resize
-  0x2008   ThumbnailImage                       resize
+  0x2005   RawData                              no
+  0x2007   JpgFromRaw                           resize^
+  0x2008   ThumbnailImage                       resize^
   0x2804   ImageDescription                     CanonRaw
   0x2807   CameraObject                         CanonRaw
@@ -10321,6 +19499,6 @@
 =head3 CanonRaw MakeModel Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    Make                                 string[6]
       6    Model                                string
@@ -10328,16 +19506,16 @@
 =head3 CanonRaw WhiteSample Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      1    WhiteSampleWidth                     N
-      2    WhiteSampleHeight                    N
-      3    WhiteSampleLeftBorder                N
-      4    WhiteSampleTopBorder                 N
-      5    WhiteSampleBits                      N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      1    WhiteSampleWidth                     no
+      2    WhiteSampleHeight                    no
+      3    WhiteSampleLeftBorder                no
+      4    WhiteSampleTopBorder                 no
+      5    WhiteSampleBits                      no
 
 =head3 CanonRaw RawJpgInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    RawJpgQuality                        int16u
       2    RawJpgSize                           int16u
@@ -10347,6 +19525,6 @@
 =head3 CanonRaw ImageFormat Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    FileFormat                           int32u
       1    TargetCompressionRatio               float
@@ -10354,6 +19532,6 @@
 =head3 CanonRaw TimeStamp Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    DateTimeOriginal                     int32u
       1    TimeZoneCode                         int32s
@@ -10362,18 +19540,18 @@
 =head3 CanonRaw ImageInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ImageWidth                           N
-      1    ImageHeight                          N
-      2    PixelAspectRatio                     N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    ImageWidth                           no
+      1    ImageHeight                          no
+      2    PixelAspectRatio                     no
       3    Rotation                             int32s
-      4    ComponentBitDepth                    N
-      5    ColorBitDepth                        N
-      6    ColorBW                              N
+      4    ComponentBitDepth                    no
+      5    ColorBitDepth                        no
+      6    ColorBW                              no
 
 =head3 CanonRaw FlashInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    FlashGuideNumber                     float
       1    FlashThreshold                       float
@@ -10381,6 +19559,6 @@
 =head3 CanonRaw ExposureInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    ExposureCompensation                 float
       1    ShutterSpeedValue                    float
@@ -10389,9 +19567,9 @@
 =head3 CanonRaw DecoderTable Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    DecoderTableNumber                   N
-      2    CompressedDataOffset                 N
-      3    CompressedDataLength                 N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    DecoderTableNumber                   no
+      2    CompressedDataOffset                 no
+      3    CompressedDataLength                 no
 
 =head2 KyoceraRaw Tags
@@ -10399,17 +19577,17 @@
 Tags for Kyocera Contax N Digital RAW images.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      1    FirmwareVersion                      N
-     12    Model                                N
-     25    Make                                 N
-     33    DateTimeOriginal                     N
-     52    ISO                                  N
-     56    ExposureTime                         N
-     60    WB_RGGBLevels                        N
-     88    FNumber                              N
-    104    MaxAperture                          N
-    112    FocalLength                          N
-    124    Lens                                 N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    FirmwareVersion                      no
+     12    Model                                no
+     25    Make                                 no
+     33    DateTimeOriginal                     no
+     52    ISO                                  no
+     56    ExposureTime                         no
+     60    WB_RGGBLevels                        no
+     88    FNumber                              no
+    104    MaxAperture                          no
+    112    FocalLength                          no
+    124    Lens                                 no
 
 =head2 MinoltaRaw Tags
@@ -10426,6 +19604,6 @@
 =head3 MinoltaRaw PRD Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    FirmwareID                           string[8]
       8    SensorHeight                         int16u
@@ -10440,6 +19618,6 @@
 =head3 MinoltaRaw RIF Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       1    Saturation                           int8s
       2    Contrast                             int8s
@@ -10454,5 +19632,5 @@
      20    WB_RBLevelsCoolWhiteF                int16u[2]
      24    WB_RBLevelsFlash                     int16u[2]
-     28    WB_RBLevelsUnknown?                  int16u[2]
+     28    WB_RBLevelsCustom                    int16u[2]
      32    WB_RBLevelsShade                     int16u[2]
      36    WB_RBLevelsDaylightF                 int16u[2]
@@ -10469,9 +19647,10 @@
      78    ColorTemperature                     int8u
      79    ColorFilter                          int8u
+     80    RawDataLength                        no
 
 =head3 MinoltaRaw WBG Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    WBScale                              int8u[4]
       4    WB_GBRGLevels                        int16u[4]
@@ -10485,24 +19664,49 @@
   ------   --------                             --------
   0x0001   PanasonicRawVersion                  undef
-  0x0002   SensorWidth                          N
-  0x0003   SensorHeight                         N
-  0x0004   SensorTopBorder                      N
-  0x0005   SensorLeftBorder                     N
-  0x0006   ImageHeight                          N
-  0x0007   ImageWidth                           N
+  0x0002   SensorWidth                          no
+  0x0003   SensorHeight                         no
+  0x0004   SensorTopBorder                      no
+  0x0005   SensorLeftBorder                     no
+  0x0006   SensorBottomBorder                   no
+  0x0007   SensorRightBorder                    no
+  0x0008   SamplesPerPixel                      int16u!
+  0x0009   CFAPattern                           int16u!
+  0x000a   BitsPerSample                        int16u!
+  0x000b   Compression                          int16u!
+  0x000e   LinearityLimitRed                    int16u
+  0x000f   LinearityLimitGreen                  int16u
+  0x0010   LinearityLimitBlue                   int16u
   0x0011   RedBalance                           int16u
   0x0012   BlueBalance                          int16u
+  0x0013   WBInfo                               PanasonicRaw WBInfo
   0x0017   ISO                                  int16u
+  0x0018   HighISOMultiplierRed                 int16u
+  0x0019   HighISOMultiplierGreen               int16u
+  0x001a   HighISOMultiplierBlue                int16u
+  0x001b   NoiseReductionParams                 undef[n]!
+  0x001c   BlackLevelRed                        int16u
+  0x001d   BlackLevelGreen                      int16u
+  0x001e   BlackLevelBlue                       int16u
   0x0024   WBRedLevel                           int16u
   0x0025   WBGreenLevel                         int16u
   0x0026   WBBlueLevel                          int16u
+  0x0027   WBInfo2                              PanasonicRaw WBInfo2
+  0x002d   RawFormat                            int16u!
   0x002e   JpgFromRaw                           JPEG
+  0x002f   CropTop                              int16u
+  0x0030   CropLeft                             int16u
+  0x0031   CropBottom                           int16u
+  0x0032   CropRight                            int16u
   0x010f   Make                                 string
   0x0110   Model                                string
-  0x0111   StripOffsets                         N
+  0x0111   StripOffsets                         no
   0x0112   Orientation                          int16u
-  0x0116   RowsPerStrip                         N
-  0x0117   StripByteCounts                      N
-  0x0118   RawDataOffset                        N
+  0x0116   RowsPerStrip                         no
+  0x0117   StripByteCounts                      no
+  0x0118   RawDataOffset                        no
+  0x0119   DistortionInfo                       PanasonicRaw DistortionInfo
+  0x011c   Gamma                                int16u
+  0x0120   CameraIFD                            PanasonicRaw CameraIFD
+  0x0121   Multishot                            int32u
   0x02bc   ApplicationNotes                     XMP
   0x83bb   IPTC-NAA                             IPTC
@@ -10510,4 +19714,87 @@
   0x8825   GPSInfo                              GPS
 
+=head3 PanasonicRaw WBInfo Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    NumWBEntries                         int16u
+      1    WBType1                              int16u
+      2    WB_RBLevels1                         int16u[2]
+      4    WBType2                              int16u
+      5    WB_RBLevels2                         int16u[2]
+      7    WBType3                              int16u
+      8    WB_RBLevels3                         int16u[2]
+     10    WBType4                              int16u
+     11    WB_RBLevels4                         int16u[2]
+     13    WBType5                              int16u
+     14    WB_RBLevels5                         int16u[2]
+     16    WBType6                              int16u
+     17    WB_RBLevels6                         int16u[2]
+     19    WBType7                              int16u
+     20    WB_RBLevels7                         int16u[2]
+
+=head3 PanasonicRaw WBInfo2 Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    NumWBEntries                         int16u
+      1    WBType1                              int16u
+      2    WB_RGBLevels1                        int16u[3]
+      5    WBType2                              int16u
+      6    WB_RGBLevels2                        int16u[3]
+      9    WBType3                              int16u
+     10    WB_RGBLevels3                        int16u[3]
+     13    WBType4                              int16u
+     14    WB_RGBLevels4                        int16u[3]
+     17    WBType5                              int16u
+     18    WB_RGBLevels5                        int16u[3]
+     21    WBType6                              int16u
+     22    WB_RGBLevels6                        int16u[3]
+     25    WBType7                              int16u
+     26    WB_RGBLevels7                        int16u[3]
+
+=head3 PanasonicRaw DistortionInfo Tags
+
+Lens distortion correction information.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0002   DistortionParam02                    int16s
+  0x0004   DistortionParam04                    int16s
+  0x0005   DistortionScale                      int16s
+    7.1    DistortionCorrection                 int16s & 0x0f
+  0x0008   DistortionParam08                    int16s
+  0x0009   DistortionParam09                    int16s
+  0x000b   DistortionParam11                    int16s
+  0x000c   DistortionN?                         int16s
+
+=head3 PanasonicRaw CameraIFD Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x1001   MultishotOn                          no
+  0x1100   FocusStepNear                        no
+  0x1101   FocusStepCount                       no
+  0x1102   FlashFired                           no
+  0x1105   ZoomPosition                         no
+  0x1200   LensAttached                         no
+  0x1201   LensTypeMake                         no
+  0x1202   LensTypeModel                        no
+  0x1203   FocalLengthIn35mmFormat              no
+  0x1301   ApertureValue                        no
+  0x1302   ShutterSpeedValue                    no
+  0x1303   SensitivityValue                     no
+  0x1305   HighISOMode                          no
+  0x1412   FacesDetected                        no
+  0x3200   WB_CFA0_LevelDaylight                no
+  0x3201   WB_CFA1_LevelDaylight                no
+  0x3202   WB_CFA2_LevelDaylight                no
+  0x3203   WB_CFA3_LevelDaylight                no
+  0x3300   WhiteBalanceSet                      no
+  0x3420   WB_RedLevelAuto                      no
+  0x3421   WB_BlueLevelAuto                     no
+  0x3501   Orientation                          no
+  0x3600   WhiteBalanceDetected                 no
+
 =head2 SigmaRaw Tags
 
@@ -10519,22 +19806,36 @@
   ------               --------                 --------
   'Header'             Header                   SigmaRaw Header
+  'Header4'            Header4                  SigmaRaw Header4
   'HeaderExt'          HeaderExt                SigmaRaw HeaderExt
-  'IMA2'               PreviewImage             N
-                       JpgFromRaw               N
-  'IMAG'               PreviewImage             N
+  'IMA2'               PreviewImage             no
+                       JpgFromRaw               no
+  'IMAG'               PreviewImage             no
   'PROP'               Properties               SigmaRaw Properties
 
 =head3 SigmaRaw Header Tags
 
+Information extracted from the header of an X3F file.
+
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0001   FileVersion                          N
-  0x0002   ImageUniqueID                        N
-  0x0006   MarkBits                             N
-  0x0007   ImageWidth                           N
-  0x0008   ImageHeight                          N
-  0x0009   Rotation                             N
-  0x000a   WhiteBalance                         N
-  0x0012   SceneCaptureType                     N
+  0x0001   FileVersion                          no
+  0x0002   ImageUniqueID                        no
+  0x0006   MarkBits                             no
+  0x0007   ImageWidth                           no
+  0x0008   ImageHeight                          no
+  0x0009   Rotation                             no
+  0x000a   WhiteBalance                         no
+  0x0012   SceneCaptureType                     no
+
+=head3 SigmaRaw Header4 Tags
+
+Header information for version 4.0 or greater X3F.
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    FileVersion                          no
+     10    ImageWidth                           no
+     11    ImageHeight                          no
+     12    Rotation                             no
 
 =head3 SigmaRaw HeaderExt Tags
@@ -10544,15 +19845,15 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0000   Unused                               N
-  0x0001   ExposureAdjust                       N
-  0x0002   Contrast                             N
-  0x0003   Shadow                               N
-  0x0004   Highlight                            N
-  0x0005   Saturation                           N
-  0x0006   Sharpness                            N
-  0x0007   RedAdjust                            N
-  0x0008   GreenAdjust                          N
-  0x0009   BlueAdjust                           N
-  0x000a   X3FillLight                          N
+  0x0000   Unused                               no
+  0x0001   ExposureAdjust                       no
+  0x0002   Contrast                             no
+  0x0003   Shadow                               no
+  0x0004   Highlight                            no
+  0x0005   Saturation                           no
+  0x0006   Sharpness                            no
+  0x0007   RedAdjust                            no
+  0x0008   GreenAdjust                          no
+  0x0009   BlueAdjust                           no
+  0x000a   X3FillLight                          no
 
 =head3 SigmaRaw Properties Tags
